program Test_Read_Autocoder

  use DumpCore_m, only: DumpCore
  use Read_Autocoder_m, only: Read_Autocoder
  use Zone_m, only: Init_Zoned

  character(16000) :: Core, Wm ! Simulated 1401 memory
  logical :: Any               ! Any stuff in memory?
  integer :: EndAddr           ! In columns 8-10 of card with 00605~B in 1-7
  logical :: EOF               ! Read_Autocoder got EOF
  integer :: ExAddr            ! In columns 8-10 of card with 00608~/ in 1-7
  character, parameter :: Undef = 'z'

  call init_zoned
  EOF = .false.
  do while ( .not. EOF )
    call read_Autocoder ( undef, core, wm, endAddr, exAddr, any, EOF )
    if ( any ) call dumpCore ( core, wm )
  end do

end program Test_Read_Autocoder
